Subject: Re: [OT] Your branch is ahead of the tracked remote branch 'origin/master' by 50 commits.

From: Ingo Molnar <[email-masked]>
Date: Tue, 1 Jul 2008 12:14:15 +0200

* Bruce Stephens <[email-masked]> wrote:

> Ingo Molnar <[email-masked]> writes:
> 
> > i recently switched to 1.5.6.1.89.gd5446 and i'm getting this:
> >
> >   Switched to branch "master"
> >   Your branch is ahead of the tracked remote branch 'origin/master' by 50 commits.
> >
> > it's a very useful detail! It's especially useful when two branches 
> > diverge in a non-trivial way.
> 
> I agree, it's a really nice little feature.  Indeed, I occasionally do 
> "git checkout master" just to get the message (to see where I am).
> 
> It feels logical for "git status" to offer the same information (when 
> the information is appropriate).
> 
> [...]

i have a tip-curr (shortcut: 'tc') scriptlet to answer the "where I am 
amongst 100+ branches" question:

  earth4:~/tip> tc
  tip/master 200a86b: Merge branch 'x86/unify-setup'

which is just a thin wrapper around git-log:

  earth4:~/tip> cat ~/bin/tip/tip-curr
  #!/bin/bash

  . ~/bin/tip/tip-lib

  echo "tip/"$(get_current_branch)" "$(git log -1 --pretty=format:"%h: %s")

	Ingo